﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Rohde & Schwarz NRVS Identification IEEE
INSTRUMENT:            Sub Rohde & Schwarz NRVS Setup IEEE
INSTRUMENT:            Sub Rohde & Schwarz NRVS Reset IEEE
INSTRUMENT:            Sub Rohde & Schwarz NRVS Frequency Correction IEEE
INSTRUMENT:            Sub Rohde & Schwarz NRVS Measure IEEE
DATE:                  2010-06-04 10:24:17
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       279
CONFIGURATION:         Rohde&Schwarz NRVS
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        Rohde & Schwarz NRVS power meter
#        Rohde & Schwarz NRV series power sensor
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Rohde & Schwarz NRVS Error Status IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         ID                           PSUBI("Identification")
  1.002  JMPL         SETUP                        PSUBI("Setup")
  1.003  JMPL         RESET                        PSUBI("Reset")
  1.004  JMPL         FREQ_CORR                    PSUBI("Frequency")
  1.005  JMPL         MEASURE                      PSUBI("Measure")
  1.006  DISP         Subprocedure not found!
  1.007  END

  1.008  EVAL   Increment step number

# =============== Sub Rohde & Schwarz NRVS Identification IEEE ==========

  2.001  LABEL        ID
  2.002  DISP         Make sure the power meter (NRVS) is connected
  2.002  DISP         to power sensor.

  2.003  IEEE         [@NRVS]N0,W8,Q3

# The returned string is: ROHDE & SCHWARZ NRVS VER.: x.x
  2.004  IEEE         [@NRVS][T30000]ZV[I$]

  2.005  IF           FINDI(MEM2, "NRVS", 1)
  2.006  MATH         @NRVS_ModelNum = "NRVS"
  2.007  ELSE
  2.008  DISP         User-configured Instrument is not Rohde & Schwarz
  2.008  DISP         NRVS Power Meter.
  2.009  END
  2.010  ENDIF

# Output of the probe identification.
  2.011  IEEE         [@NRVS]SP[I$]

  2.012  IF           FINDI(MEM2, "NRV-Z1 ", 1)
  2.013  MATH         @NRVSENSOR_ModelNum = "NRV-Z1"
  2.014  ELSEIF       FINDI(MEM2, "NRV-Z2 ", 1)
  2.015  MATH         @NRVSENSOR_ModelNum = "NRV-Z2"
  2.016  ELSEIF       FINDI(MEM2, "NRV-Z3 ", 1)
  2.017  MATH         @NRVSENSOR_ModelNum = "NRV-Z3"
  2.018  ELSEIF       FINDI(MEM2, "NRV-Z4 ", 1)
  2.019  MATH         @NRVSENSOR_ModelNum = "NRV-Z4"
  2.020  ELSEIF       FINDI(MEM2, "NRV-Z5 ", 1)
  2.021  MATH         @NRVSENSOR_ModelNum = "NRV-Z5"
  2.022  ELSEIF       FINDI(MEM2, "NRV-Z6 ", 1)
  2.023  MATH         @NRVSENSOR_ModelNum = "NRV-Z6"
  2.024  ELSEIF       FINDI(MEM2, "NRV-Z7 ", 1)
  2.025  MATH         @NRVSENSOR_ModelNum = "NRV-Z7"
  2.026  ELSEIF       FINDI(MEM2, "NRV-Z15 ", 1)
  2.027  MATH         @NRVSENSOR_ModelNum = "NRV-Z15"
  2.028  ELSEIF       FINDI(MEM2, "NRV-Z8 ", 1)
  2.029  MATH         @NRVSENSOR_ModelNum = "NRV-Z8"
  2.030  ELSEIF       FINDI(MEM2, "NRV-Z31 ", 1)
  2.031  MATH         @NRVSENSOR_ModelNum = "NRV-Z31"
  2.032  ELSEIF       FINDI(MEM2, "NRV-Z32 ", 1)
  2.033  MATH         @NRVSENSOR_ModelNum = "NRV-Z32"
  2.034  ELSEIF       FINDI(MEM2, "NRV-Z33 ", 1)
  2.035  MATH         @NRVSENSOR_ModelNum = "NRV-Z33"
  2.036  ELSEIF       FINDI(MEM2, "NRV-Z51 ", 1)
  2.037  MATH         @NRVSENSOR_ModelNum = "NRV-Z51"
  2.038  ELSEIF       FINDI(MEM2, "NRV-Z52 ", 1)
  2.039  MATH         @NRVSENSOR_ModelNum = "NRV-Z52"
  2.040  ELSEIF       FINDI(MEM2, "NRV-Z53 ", 1)
  2.041  MATH         @NRVSENSOR_ModelNum = "NRV-Z53"
  2.042  ELSEIF       FINDI(MEM2, "NRV-Z54 ", 1)
  2.043  MATH         @NRVSENSOR_ModelNum = "NRV-Z54"
  2.044  ELSEIF       FINDI(MEM2, "URV5-Z1 ", 1)
  2.045  MATH         @NRVSENSOR_ModelNum = "URV5-Z1"
  2.046  ELSEIF       FINDI(MEM2, "URV5-Z2 ", 1)
  2.047  MATH         @NRVSENSOR_ModelNum = "URV5-Z2"
  2.048  ELSEIF       FINDI(MEM2, "URV5-Z4 ", 1)
  2.049  MATH         @NRVSENSOR_ModelNum = "URV5-Z4"
  2.050  ELSEIF       FINDI(MEM2, "URV5-Z7 ", 1)
  2.051  MATH         @NRVSENSOR_ModelNum = "URV5-Z7"
  2.052  ENDIF

  2.053  CALL         Sub Rohde & Schwarz NRVS Error Status IEEE

  2.054  END

  2.055  EVAL   Increment step number

# =============== Sub Rohde & Schwarz NRVS Setup IEEE =================

  3.001  LABEL        SETUP
  3.002  IEEE         [@NRVS]Q0
  3.003  IEEE         [@NRVS]C1
  3.004  IEEE         [@NRVS]N0, W8, Q3

# Range setting.
  3.005  IF           ZCMPI(@NRVS_RangeSet, "AUTO")
  3.006  IEEE         [@NRVS]RG0
  3.007  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range1")
  3.008  IEEE         [@NRVS]RG1
  3.009  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range2")
  3.010  IEEE         [@NRVS]RG2
  3.011  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range3")
  3.012  IEEE         [@NRVS]RG3
  3.013  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range4")
  3.014  IEEE         [@NRVS]RG4
  3.015  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range5")
  3.016  IEEE         [@NRVS]RG5
  3.017  ELSEIF       ZCMPI(@NRVS_RangeSet, "Range6")
  3.018  IEEE         [@NRVS]RG6
  3.019  ENDIF

# Filter mode.
  3.020  IF           ZCMPI(@NRVS_FilterSet, "Auto")
  3.021  IEEE         [@NRVS]A0
  3.022  ELSEIF       ZCMPI(@NRVS_FilterSet, "0")
  3.023  IEEE         [@NRVS]AV0
  3.024  ELSEIF       ZCMPI(@NRVS_FilterSet, "1")
  3.025  IEEE         [@NRVS]AV1
  3.026  ELSEIF       ZCMPI(@NRVS_FilterSet, "2")
  3.027  IEEE         [@NRVS]AV2
  3.028  ELSEIF       ZCMPI(@NRVS_FilterSet, "3")
  3.029  IEEE         [@NRVS]AV3
  3.030  ELSEIF       ZCMPI(@NRVS_FilterSet, "4")
  3.031  IEEE         [@NRVS]AV4
  3.032  ELSEIF       ZCMPI(@NRVS_FilterSet, "5")
  3.033  IEEE         [@NRVS]AV5
  3.034  ELSEIF       ZCMPI(@NRVS_FilterSet, "6")
  3.035  IEEE         [@NRVS]AV6
  3.036  ELSEIF       ZCMPI(@NRVS_FilterSet, "7")
  3.037  IEEE         [@NRVS]AV7
  3.038  ELSEIF       ZCMPI(@NRVS_FilterSet, "8")
  3.039  IEEE         [@NRVS]AV8
  3.040  ELSEIF       ZCMPI(@NRVS_FilterSet, "9")
  3.041  IEEE         [@NRVS]AV9
  3.042  ELSEIF       ZCMPI(@NRVS_FilterSet, "10")
  3.043  IEEE         [@NRVS]AV10
  3.044  ELSEIF       ZCMPI(@NRVS_FilterSet, "11")
  3.045  IEEE         [@NRVS]AV11
  3.046  ELSEIF       ZCMPI(@NRVS_FilterSet, "12")
  3.047  IEEE         [@NRVS]AV12
  3.048  ENDIF

# Alphaheader Setting.
  3.049  IF           ZCMPI(@NRVS_HeaderSet, "1")
  3.050  IEEE         [@NRVS]N0
  3.051  ELSE
  3.052  IEEE         [@NRVS]N1
  3.053  ENDIF

# Measurement mode.
  3.054  IF           ZCMPI(@NRVS_MODE, "Average")
  3.055  IEEE         [@NRVS]M0
  3.056  ELSEIF       ZCMPI(@NRVS_MODE, "Pulse")
  3.057  IEEE         [@NRVS]M1
  3.058  ENDIF

# Unit Setting.
  3.059  IF           ZCMPI(@NRVS_UnitSet, "Watt")
  3.060  IEEE         [@NRVS]U0
  3.061  ELSEIF       ZCMPI(@NRVS_UnitSet, "dBm")
  3.062  IEEE         [@NRVS]U1
  3.063  ELSEIF       ZCMPI(@NRVS_UnitSet, "%V")
  3.064  IEEE         [@NRVS]U4V
  3.065  ELSEIF       ZCMPI(@NRVS_UnitSet, "%W")
  3.066  IEEE         [@NRVS]U4,U4W
  3.067  ELSEIF       ZCMPI(@NRVS_UnitSet, "dB")
  3.068  IEEE         [@NRVS]U5
  3.069  ELSEIF       ZCMPI(@NRVS_UnitSet, "V")
  3.070  IEEE         [@NRVS]U7
  3.071  ELSEIF       ZCMPI(@NRVS_UnitSet, "dBuV")
  3.072  IEEE         [@NRVS]U8
  3.073  ENDIF

  3.074  IEEE         [@NRVS]G1

# Resolution setting.
  3.075  IF           ZCMPI(@NRVS_ResolutionSet, "LOW")
  3.076  IEEE         [@NRVS]RS2
  3.077  ELSEIF       ZCMPI(@NRVS_ResolutionSet, "MIDDLE")
  3.078  IEEE         [@NRVS]RS3
  3.079  ELSEIF       ZCMPI(@NRVS_ResolutionSet, "HIGH")
  3.080  IEEE         [@NRVS]RS4
  3.081  ENDIF

  3.082  IEEE         [@NRVS]B1,SC1

# Zero correction.
  3.083  IEEE         [@NRVS]o1
  3.084  WAIT         -t 10 UUT Settling...
  3.085  CALL         Sub Rohde & Schwarz NRVS Error Status IEEE

  3.086  END

  3.087  EVAL   Increment step number

 # ============== Sub Rohde & Schwarz NRVS Reset IEEE ==============

  4.001  LABEL        RESET
  4.002  IEEE         [@NRVS]Q0
  4.003  IEEE         [@NRVS]C1

  4.004  END

  4.005  EVAL   Increment step number

 # ====== Sub Rohde & Schwarz NRVS Frequency Correction IEEE ========

  5.001  LABEL        FREQ_CORR
  5.002  MATH         StrVal = "KF1, DF" & @NRVS_FreqVal
  5.003  IEEE         [@NRVS][V StrVal]
  5.004  CALL         Sub Rohde & Schwarz NRVS Error Status IEEE

  5.005  END

  5.006  EVAL   Increment step number

 # ================ Sub Rohde & Schwarz NRVS Measure IEEE ========

  6.001  LABEL        MEASURE

# Add more measurement function here.
  6.002  IF           ZCMPI(@NRVS_Func, "PowerAvg_dBm")
  6.003  IEEE         [@NRVS]X3
  6.004  IEEE         [@NRVS]N0[I$]
  6.005  MATH         MEM2 = SUB(MEM2, 8, (LEN(MEM2) - 7))
  6.006  MATH         @NRVS_TestVal = NUM(MEM2)
  6.007  ENDIF

  6.008  CALL         Sub Rohde & Schwarz NRVS Error Status IEEE

  6.009  END

