﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Rohde & Schwarz NRVS Error Status IEEE
DATE:                  2010-06-04 11:44:49
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       284
CONFIGURATION:         Rohde&Schwarz NRVS
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        Rohde & Schwarz NRVS power meter
#        Rohde & Schwarz NRV series power sensor
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Initial the varible.
  1.001  MATH         HWErr = 0
  1.002  MATH         CalMemErr = 0
  1.003  MATH         BusErr = 0

# Global error byte.
  1.004  IEEE         [@NRVS]SE0[I$]

  1.005  IF           NOT(ZCMPI(MEM2, "00"))

# Hexadecimal string to Decimal number.
  1.006  MATH         Length = LEN(MEM2)
  1.007  MATH         Index = 1; L[1] = 0; FinVal = 0

  1.008  DO
  1.009  MATH         S[1] = SUB(MEM2, Index, 1)

  1.010  IF           ZCMPI(S[1], "A")
  1.011  MATH         L[1] = 10
  1.012  ELSEIF       ZCMPI(S[1], "B")
  1.013  MATH         L[1] = 11
  1.014  ELSEIF       ZCMPI(S[1], "C")
  1.015  MATH         L[1] = 12
  1.016  ELSEIF       ZCMPI(S[1], "D")
  1.017  MATH         L[1] = 13
  1.018  ELSEIF       ZCMPI(S[1], "E")
  1.019  MATH         L[1] = 14
  1.020  ELSEIF       ZCMPI(S[1], "F")
  1.021  MATH         L[1] = 15
  1.022  ELSE
  1.023  MATH         L[1] = S[1]
  1.024  ENDIF

  1.025  MATH         L[1] = L[1] * POW(16, (Length - Index))
  1.026  MATH         FinVal = FinVal + L[1]
  1.027  MATH         Index = Index + 1

  1.028  UNTIL        Index > Length

  1.029  IF           BIT(0, FinVal)
  1.030  DISP         Sensor is not recognized or is faulty.
  1.031  ELSEIF       BIT(1, FinVal)
  1.032  MATH         HWErr = 1
  1.033  DISP         Hardware error.
  1.034  ELSEIF       BIT(2, FinVal)
  1.035  MATH         CalMemErr = 1
  1.036  DISP         Checksum of calibration data memory is faulty.
  1.037  ELSEIF       BIT(3, FinVal)
  1.038  MATH         BusErr = 1
  1.039  DISP         Error with IEEE bus operation.
  1.040  ELSEIF       BIT(4, FinVal)
  1.041  DISP         Error with ZERO measurement.
  1.042  ELSEIF       BIT(5, FinVal)
  1.043  DISP         Error with value entry.
  1.044  ELSEIF       BIT(6, FinVal)
  1.045  DISP         Calibration offset measurement out of tolerance.
  1.046  ELSEIF       BIT(7, FinVal)
  1.047  DISP         Calibration factor out of tolerence.
  1.048  ENDIF

# Hardware error.
  1.049  IF           HWErr
  1.050  IEEE         [@NRVS]SE1[I$]
  1.051  MATH         Length = LEN(MEM2)
  1.052  MATH         Index = 1; L[1] = 0; FinVal = 0

  1.053  DO
  1.054  MATH         S[1] = SUB(MEM2, Index, 1)

  1.055  IF           ZCMPI(S[1], "A")
  1.056  MATH         L[1] = 10
  1.057  ELSEIF       ZCMPI(S[1], "B")
  1.058  MATH         L[1] = 11
  1.059  ELSEIF       ZCMPI(S[1], "C")
  1.060  MATH         L[1] = 12
  1.061  ELSEIF       ZCMPI(S[1], "D")
  1.062  MATH         L[1] = 13
  1.063  ELSEIF       ZCMPI(S[1], "E")
  1.064  MATH         L[1] = 14
  1.065  ELSEIF       ZCMPI(S[1], "F")
  1.066  MATH         L[1] = 15
  1.067  ELSE
  1.068  MATH         L[1] = S[1]
  1.069  ENDIF

  1.070  MATH         L[1] = L[1] * POW(16, (Length - Index))
  1.071  MATH         FinVal = FinVal + L[1]
  1.072  MATH         Index = Index + 1

  1.073  UNTIL        Index > Length

  1.074  MATH         L[2] = BIT(5, FinVal) || BIT(6, FinVal)
  1.075  MATH         L[2] = L[2] || BIT(7, FinVal) || BIT(8, FinVal)
  1.076  MATH         L[2] = L[2] || BIT(9, FinVal) || BIT(10, FinVal)

  1.077  MATH         L[3] = BIT(17, FinVal) || BIT(18, FinVal)
  1.078  MATH         L[3] = L[3] || BIT(19, FinVal) || BIT(20, FinVal)

  1.079  IF           BIT(0, FinVal)
  1.080  DISP         0 V, Supply voltage of sensor.
  1.081  ELSEIF       BIT(1, FinVal)
  1.082  DISP         +5 V, Supply voltage of sensor.
  1.083  ELSEIF       BIT(2, FinVal)
  1.084  DISP         +12 V, Supply voltage of sensor.
  1.085  ELSEIF       L[2]
  1.086  DISP         Offset voltage of AC probe amplifier range 6 to 11.
  1.087  ELSEIF       BIT(13, FinVal) || BIT(14, FinVal)
  1.088  DISP         Switch-off status current source for temperature sensor.
  1.089  ELSEIF       BIT(15, FinVal)
  1.090  DISP         Temperature measuring voltage 100 uA-Sensor.
  1.091  ELSEIF       BIT(16, FinVal)
  1.092  DISP         Temperature measuring voltage 1mA-Sensor.
  1.093  ELSEIF       L[3]
  1.094  DISP         Offset voltage of DC probe amplifier, range 1 to 4.
  1.095  ELSEIF       BIT(21, FinVal)
  1.096  DISP         Offset voltage of DC probe amplifier.
  1.097  ELSEIF       BIT(22, FinVal)
  1.098  DISP         Supply voltage -12V.
  1.099  ELSEIF       BIT(23, FinVal)
  1.100  DISP         Supply voltage -5V.
  1.101  ELSEIF       BIT(24, FinVal)
  1.102  DISP         Supply voltage -6V.
  1.103  ELSEIF       BIT(26, FinVal)
  1.104  DISP         Offset of A/D converter.
  1.105  ELSEIF       BIT(47, FinVal)
  1.106  DISP         Timeout of A/D converter.
  1.107  ELSEIF       BIT(48, FinVal)
  1.108  DISP         Offset of DAC setting for AC probe amplifier.
  1.109  ELSEIF       BIT(49, FinVal)
  1.110  DISP         Offset of DAC setting for DC probe amplifier.
  1.111  ELSEIF       BIT(55, FinVal)
  1.112  DISP         Global error bit(ORing of bits 0 to 54).
  1.113  ENDIF

  1.114  ENDIF

# Checksum of calibration data memory.
  1.115  IF           CalMemErr
  1.116  IEEE         [@NRVS]SE2[I$]
  1.117  MATH         Length = LEN(MEM2)
  1.118  MATH         Index = 1; L[1] = 0; FinVal = 0

  1.119  DO
  1.120  MATH         S[1] = SUB(MEM2, Index, 1)

  1.121  IF           ZCMPI(S[1], "A")
  1.122  MATH         L[1] = 10
  1.123  ELSEIF       ZCMPI(S[1], "B")
  1.124  MATH         L[1] = 11
  1.125  ELSEIF       ZCMPI(S[1], "C")
  1.126  MATH         L[1] = 12
  1.127  ELSEIF       ZCMPI(S[1], "D")
  1.128  MATH         L[1] = 13
  1.129  ELSEIF       ZCMPI(S[1], "E")
  1.130  MATH         L[1] = 14
  1.131  ELSEIF       ZCMPI(S[1], "F")
  1.132  MATH         L[1] = 15
  1.133  ELSE
  1.134  MATH         L[1] = S[1]
  1.135  ENDIF

  1.136  MATH         L[1] = L[1] * POW(16, (Length - Index))
  1.137  MATH         FinVal = FinVal + L[1]
  1.138  MATH         Index = Index + 1

  1.139  UNTIL        Index > Length

  1.140  IF           BIT(0, FinVal)
  1.141  DISP         AC probe amplifier.
  1.142  ELSEIF       BIT(1, FinVal)
  1.143  DISP         DC probe amplifier.
  1.144  ELSEIF       BIT(2, FinVal)
  1.145  DISP         DC-FREQ input and DC output.
  1.146  ELSEIF       BIT(3, FinVal)
  1.147  DISP         Temperature sensor.
  1.148  ENDIF

  1.149  ENDIF

# IEEE bus operating error.
  1.150  IF           BusErr
  1.151  IEEE         [@NRVS]SE3[I$]
  1.152  MATH         Length = LEN(MEM2)
  1.153  MATH         Index = 1; L[1] = 0; FinVal = 0

  1.154  DO
  1.155  MATH         S[1] = SUB(MEM2, Index, 1)

  1.156  IF           ZCMPI(S[1], "A")
  1.157  MATH         L[1] = 10
  1.158  ELSEIF       ZCMPI(S[1], "B")
  1.159  MATH         L[1] = 11
  1.160  ELSEIF       ZCMPI(S[1], "C")
  1.161  MATH         L[1] = 12
  1.162  ELSEIF       ZCMPI(S[1], "D")
  1.163  MATH         L[1] = 13
  1.164  ELSEIF       ZCMPI(S[1], "E")
  1.165  MATH         L[1] = 14
  1.166  ELSEIF       ZCMPI(S[1], "F")
  1.167  MATH         L[1] = 15
  1.168  ELSE
  1.169  MATH         L[1] = S[1]
  1.170  ENDIF

  1.171  MATH         L[1] = L[1] * POW(16, (Length - Index))
  1.172  MATH         FinVal = FinVal + L[1]
  1.173  MATH         Index = Index + 1

  1.174  UNTIL        Index > Length

  1.175  IF           BIT(0, FinVal)
  1.176  DISP         Command is illegal in the current context.
  1.177  ELSEIF       BIT(1, FinVal)
  1.178  DISP         An attempt has been made to store an instrument
  1.178  DISP         setting under SETUP memory number 0.
  1.179  ELSEIF       BIT(2, FinVal)
  1.180  DISP         An attempt has been made to read an instrument status
  1.180  DISP         memory, where no instrument status has been stored
  1.180  DISP         before.
  1.181  ELSEIF       BIT(3, FinVal)
  1.182  DISP         Calibration jumper on the main board is in the write-
  1.182  DISP         protection position.
  1.183  ELSEIF       BIT(4, FinVal)
  1.184  DISP         Command has not been understood.
  1.185  ENDIF

  1.186  ENDIF

  1.187  ENDIF

  1.188  END



