﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3000 (1 yr) Frequency/Period VER VISA /LFCTR
DATE:                  2010-06-04 11:48:07
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       114
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3000 Series
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Initialize /LFCTR
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /LFCTR
  1.005  CALL         Sub Reset /LFCTR
  1.006  VISA         *RST;*OPC?[I!]

  1.007  RSLT         =
  1.008  HEAD         {FREQUENCY/PERIOD TEST}
  1.009  HEAD         -2 Sine 1 MHz
  1.010  TARGET       -p
  1.011  TSET         TDESC = Sine at 1 MHz
  1.012  DISP         Make the following connection:
  1.012  DISP
  1.012  DISP         [32]   UUT        to    [V @LFCTR_DevName]
  1.012  DISP         [32]   CH1   <--------> [V @LFCTR_Ch1]
# Set the LFCTR parameter.
  1.013  MATH         @LFCTR_ROSC = "Int"
  1.014  MATH         @LFCTR_Func = "FreqCh1"
  1.015  MATH         @LFCTR_Ch1Imp = "LoZ"
  1.016  MATH         @LFCTR_Ch1Slope = "Pos"
  1.017  MATH         @LFCTR_Ch1Cpl = "DC"
  1.018  MATH         @LFCTR_Ch1Attn = "x1"
# Set the UUT parameter.
  1.019  VISA         SOUR1:FUNC:SHAP SIN
  1.020  VISA         SOUR1:FREQ:CW 1.000000MHz
  1.021  VISA         SOUR1:VOLT:UNIT VPP
  1.022  VISA         SOUR1:VOLT:LEV:IMM:AMPL 1.00VPP
  1.023  VISA         OUTP1:STAT ON
# Look up for LFCTR accuracy.
  1.024  MATH         FreqAcc = ACCV(@LFCTR_DevName, "Timebase", 1E+6)
  1.025  MATH         L[1] = (FreqAcc / 1E+6) * 100
  1.026  ACC          1.000000MHz    L1%
# Measurement.
  1.027  TARGET       -m
  1.028  CALL         Sub Measure /LFCTR
  1.029  MATH         MEM = MEM / 1E+6
  1.030  MEMCX        1.000000MHz    0.000001U

  2.001  HEAD         -2 Pulse 1 MHz
  2.002  TARGET       -p
  2.003  TSET         TDESC = Pulse at 1 MHz
# Set the UUT parameter.
  2.004  VISA         SOUR1:FUNC:SHAP PULS
  2.005  VISA         OUTP1:STAT ON
# Look up for LFCTR accuracy.
  2.006  MATH         FreqAcc = ACCV(@LFCTR_DevName, "Timebase", 1E+6)
  2.007  MATH         L[1] = (FreqAcc / 1E+6) * 100
  2.008  ACC          1.000000MHz    L1%
# Measurement.
  2.009  TARGET       -m
  2.010  CALL         Sub Measure /LFCTR
  2.011  MATH         MEM = MEM / 1E+6
  2.012  MEMCX        1.000000MHz    0.000001U

  3.001  VISA         OUTP1:STAT OFF
  3.002  CALL         Sub Reset /LFCTR
  3.003  DISP         Remove the connection to UUT.

  3.004  HEAD         -2
  3.005  HEAD
  3.006  END
