﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3000 (1 yr) THD Test VER VISA /RSA3000
DATE:                  2010-06-04 12:55:30
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       152
CONFIGURATION:         Tektronix RSA3308A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3000 Series
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek RSA3000 Reset IEEE
#        Sub Tek RSA3000 Setup IEEE
#        Sub Tek RSA3000 Measure IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@RSA3000]
  1.003  ENDIF

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  HEAD         {TOTAL HARMONIC DISTORTION}, CH [V @Chan]
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]

  1.010  HEAD         -2 Fundamental
  1.011  TARGET
  1.012  CALL         Sub Tek RSA3000 Reset IEEE
  1.013  MATH         @RSA3000_InitCmd = "SANORMAL"
  1.014  MATH         @RSA3000_Acq = 0
  1.015  MATH         @RSA3000_TraceNum = 1
  1.016  MATH         @RSA3000_TraceMode = "AVERAGE"
  1.017  MATH         @RSA3000_RefLevel = 8
  1.018  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and configure.
  1.019  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  1.020  VISA         SOUR[V @Chan]:FREQ 20KHz
  1.021  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  1.022  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  1.023  VISA         OUTP[V @Chan]:STAT ON

# RSA3308A test signal 20 KHz fundamental.
  1.024  MATH         @RSA3000_Func = "PeakSearch"
  1.025  MATH         @RSA3000_CentFreq = 20E+3
  1.026  MATH         @RSA3000_Span = 2E+3
  1.027  MATH         @RSA3000_BandRes = 50
  1.028  MATH         @RSA3000_AvgCount = 10
  1.029  CALL         Sub Tek RSA3000 Measure IEEE
  1.030  MATH         FundVal = @RSA3000_PkAmp; FundFreq = @RSA3000_PkFreq

  1.031  HEAD         -2 2nd Harmonic Distortion
  1.032  MATH         @RSA3000_Func = "Harmonic"
  1.033  MATH         @RSA3000_HarmFreqSet = 40E+3
  1.034  CALL         Sub Tek RSA3000 Measure IEEE
  1.035  MATH         Val_2nd = @RSA3000_HarmAmp

  1.036  HEAD         -2 3rd Harmonic Distortion
  1.037  MATH         @RSA3000_HarmFreqSet = 60E+3
  1.038  CALL         Sub Tek RSA3000 Measure IEEE
  1.039  MATH         Val_3rd = @RSA3000_HarmAmp

  1.040  HEAD         -2 4th Harmonic Distortion
  1.041  MATH         @RSA3000_HarmFreqSet = 80E+3
  1.042  CALL         Sub Tek RSA3000 Measure IEEE
  1.043  MATH         Val_4th = @RSA3000_HarmAmp

  1.044  HEAD         -2 5th Harmonic Distortion
  1.045  MATH         @RSA3000_HarmFreqSet = 100E+3
  1.046  CALL         Sub Tek RSA3000 Measure IEEE
  1.047  MATH         Val_5th = @RSA3000_HarmAmp

  1.048  HEAD         -2 6th Harmonic Distortion
  1.049  MATH         @RSA3000_HarmFreqSet = 120E+3
  1.050  CALL         Sub Tek RSA3000 Measure IEEE
  1.051  MATH         Val_6th = @RSA3000_HarmAmp

  1.052  HEAD         -2 7th Harmonic Distortion
  1.053  MATH         @RSA3000_HarmFreqSet = 140E+3
  1.054  CALL         Sub Tek RSA3000 Measure IEEE
  1.055  MATH         Val_7th = @RSA3000_HarmAmp

  1.056  HEAD         -2 Calculate the THD
  1.057  MATH         B2 = Val_2nd - FundVal
  1.058  MATH         B3 = Val_3rd - FundVal
  1.059  MATH         B4 = Val_4th - FundVal
  1.060  MATH         B5 = Val_5th - FundVal
  1.061  MATH         B6 = Val_6th - FundVal
  1.062  MATH         B7 = Val_7th - FundVal

  1.063  MATH         L[1] = 1
  1.064  MATH         L[2] = POW(10, B2 / 20)
  1.065  MATH         L[3] = POW(10, B3 / 20)
  1.066  MATH         L[4] = POW(10, B4 / 20)
  1.067  MATH         L[5] = POW(10, B5 / 20)
  1.068  MATH         L[6] = POW(10, B6 / 20)
  1.069  MATH         L[7] = POW(10, B7 / 20)

  1.070  MATH         L[1] = (RSS_L(2, 7) / L[1]) * 100
  1.071  MATH         RstVal = FMT(L[1], "%.2f") & " %"
  1.072  MATH         RstStr = "THD < 0.2 %, Result is " & RstVal

  1.073  EVAL   -e L[1] < 0.2 : [V RstStr]

  2.001  CALL         Sub Tek RSA3000 Reset IEEE
# Turn off the UUT.
  2.002  VISA         OUTP[V @Chan]:STAT OFF

  2.003  HEAD         -2
  2.004  HEAD
  2.005  END



