﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3011 (1 yr) Amplitude VER VISA /DMM
INSTRUMENT:            Sub Tek AFG3011 (1 yr) DC Offset VER VISA /DMM
DATE:                  2010-06-04 11:47:21
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       282
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3011
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Initialize /DMM
#        Sub Reset /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#
#  Required Files:
#        AFG3000_Amp_DMM.jpg
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@DMM]
  1.003  ENDIF

# Default Setup
  1.004  VISA         *RST;*OPC?[I!]
  1.005  CALL         Sub Initialize /DMM
  1.006  CALL         Sub Reset /DMM

  1.007  JMPL         AMPLITUDE                    PSUB("Amplitude")
  1.008  JMPL         OFFSET                       PSUB("Offset")
  1.009  DISP         Subprocedure not found!
  1.010  END

  1.011  EVAL   Increment step number

# ============== Sub Tek AFG3011 (1 yr) Amplitude Test VER VISA /DMM =======

  2.001  LABEL        AMPLITUDE

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  HEAD         {AMPLITUDE TEST}, CH [V @Chan]
  2.005  ENDIF

  2.006  RSLT         =
  2.007  RSLT         =Channel [V @Chan]
  2.008  RSLT         =

  2.009  HEAD         -2 30 mVrms, 1 kHz Sine
  2.010  TARGET       -p

# Get and display the calibration factor.
  2.011  MATH         @DMM_Func = "Resistance2W"
  2.012  CALL         Sub Setup /DMM
  2.013  PIC          AFG3000_Amp_DMM.jpg
  2.014  CALL         Sub Read /DMM
  2.015  MATH         CF = 2 / (1 + 50 / MEM)
  2.016  MATH         CFStr = FMT(CF, "%.3f")
  2.017  RSLT         = Calibration Factor = [V CFStr]
  2.018  RSLT         =

# Measure the Amplitude.
  2.019  MATH         @DMM_Func = "AC_Voltage"
  2.020  CALL         Sub Setup /DMM
  2.021  DISP         Connect the UUT Output CH [V @Chan] to [V @DMM_DevName]
  2.021  DISP         [V @DMM_InputHi] and [V @DMM_InputLo] terminals, via a
  2.021  DISP         BNC female to double stacking banana plug and BNC(m)-(m)
  2.021  DISP         50 Ohm cable and 50 Ohms feed through terminator.

# Set the output of UUT.
  2.022  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  2.023  VISA         SOUR[V @Chan]:FREQ 1KHz
  2.024  VISA         SOUR[V @Chan]:VOLT:UNIT VRMS
  2.025  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.030VRMS
  2.026  VISA         OUTP[V @Chan]:STAT ON
  2.027  TARGET       -m
  2.028  CALL         Sub Read /DMM
  2.029  MATH         @DMM_Freq = 1000
  2.030  CALL         Sub Get Accuracy /DMM
  2.031  MATH         L[2] = @DMM_Acc / 1E-3
  2.032  MATH         MEM = FMT(@DMM_Meas / 1E-3, "%.3f")
  2.033  ACC          mV             L2U
  2.034  MATH         MEM1 = FMT((30 * CF), "%.3f")
  2.035  MEMCX        mV             1.307U

  3.001  HEAD         -2 300 mVrms, 1 kHz Sine
  3.002  TARGET       -p
  3.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.30VRMS
  3.004  VISA         OUTP[V @Chan]:STAT ON
  3.005  TARGET       -m
  3.006  CALL         Sub Read /DMM
  3.007  CALL         Sub Get Accuracy /DMM
  3.008  MATH         L[2] = @DMM_Acc / 1E-3
  3.009  MATH         MEM = FMT(@DMM_Meas / 1E-3, "%.2f")
  3.010  ACC          mV             L2U
  3.011  MATH         MEM1 = FMT((300 * CF), "%.2f")
  3.012  MEMCX        mV             6.71U

  4.001  HEAD         -2 800 mVrms, 1 kHz Sine
  4.002  TARGET       -p
  4.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 0.80VRMS
  4.004  VISA         OUTP[V @Chan]:STAT ON
  4.005  TARGET       -m
  4.006  CALL         Sub Read /DMM
  4.007  CALL         Sub Get Accuracy /DMM
  4.008  MATH         L[2] = @DMM_Acc / 1E-3
  4.009  MATH         MEM = FMT(@DMM_Meas / 1E-3, "%.2f")
  4.010  ACC          mV             L2U
  4.011  MATH         MEM1 = FMT((800 * CF), "%.2f")
  4.012  MEMCX        mV             16.71U

  5.001  HEAD         -2 1.5 Vrms, 1 kHz Sine
  5.002  TARGET       -p
  5.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1.5VRMS
  5.004  VISA         OUTP[V @Chan]:STAT ON
  5.005  TARGET       -m
  5.006  CALL         Sub Read /DMM
  5.007  CALL         Sub Get Accuracy /DMM
  5.008  MATH         L[2] = @DMM_Acc
  5.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  5.010  ACC          V              L2U
  5.011  MATH         MEM1 = FMT((1.5 * CF), "%.4f")
  5.012  MEMCX        V              0.0307U

  6.001  HEAD         -2 2 Vrms, 1 kHz Sine
  6.002  TARGET       -p
  6.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 2VRMS
  6.004  VISA         OUTP[V @Chan]:STAT ON
  6.005  TARGET       -m
  6.006  CALL         Sub Read /DMM
  6.007  CALL         Sub Get Accuracy /DMM
  6.008  MATH         L[2] = @DMM_Acc
  6.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  6.010  ACC          V              L2U
  6.011  MATH         MEM1 = FMT((2 * CF), "%.4f")
  6.012  MEMCX        V              0.0407U

  7.001  HEAD         -2 2.5 Vrms, 1 kHz Sine
  7.002  TARGET       -p
  7.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 2.5VRMS
  7.004  VISA         OUTP[V @Chan]:STAT ON
  7.005  TARGET       -m
  7.006  CALL         Sub Read /DMM
  7.007  CALL         Sub Get Accuracy /DMM
  7.008  MATH         L[2] = @DMM_Acc
  7.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  7.010  ACC          V              L2U
  7.011  MATH         MEM1 = FMT((2.5 * CF), "%.4f")
  7.012  MEMCX        V              0.0507U

  8.001  HEAD         -2 3.5 Vrms, 1 kHz Sine
  8.002  TARGET       -p
  8.003  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 3.5VRMS
  8.004  VISA         OUTP[V @Chan]:STAT ON
  8.005  TARGET       -m
  8.006  CALL         Sub Read /DMM
  8.007  CALL         Sub Get Accuracy /DMM
  8.008  MATH         L[2] = @DMM_Acc
  8.009  MATH         MEM = FMT(@DMM_Meas, "%.4f")
  8.010  ACC          V              L2U
  8.011  MATH         MEM1 = FMT((3.5 * CF), "%.4f")
  8.012  MEMCX        V              0.0707U

  9.001  VISA         OUTP[V @Chan]:STAT OFF
  9.002  CALL         Sub Reset /DMM
  9.003  HEAD         -2
  9.004  HEAD
  9.005  END

  9.006  EVAL   Increment step number

# ============== Sub Tek AFG3011 (1 yr) DC Offset Test VER VISA /DMM ========

 10.001  LABEL        OFFSET

 10.002  IF           @Chan == 1
 10.003  RSLT         =
 10.004  HEAD         {DC OFFSET TEST}, CH [V @Chan]
 10.005  ENDIF

 10.006  RSLT         =
 10.007  RSLT         =Channel [V @Chan]
 10.008  RSLT         =

 10.009  HEAD         -2 5 V Offset
 10.010  TARGET       -p

# Get and display the calibration factor.
 10.011  MATH         @DMM_Func = "Resistance2W"
 10.012  CALL         Sub Setup /DMM
 10.013  PIC          AFG3000_Amp_DMM.jpg
 10.014  CALL         Sub Read /DMM
 10.015  MATH         CF = 2 / (1 + 50 / MEM)
 10.016  MATH         CFStr = FMT(CF, "%.3f")
 10.017  RSLT         = Calibration Factor = [V CFStr]
 10.018  RSLT         =

# Measure the Amplitude.
 10.019  MATH         @DMM_Func = "DC_Voltage"
 10.020  CALL         Sub Setup /DMM
 10.021  DISP         Connect the UUT Output CH [V @Chan] to [V @DMM_DevName]
 10.021  DISP         [V @DMM_InputHi] and [V @DMM_InputLo] terminals, via a
 10.021  DISP         BNC female to double stacking banana plug and BNC(m)-(m)
 10.021  DISP         50 Ohm cable and 50 Ohm terminator.
 10.022  VISA         SOUR[V @Chan]:FUNC:SHAP DC
 10.023  VISA         SOUR[V @Chan]:VOLT:OFFS 5V
 10.024  VISA         OUTP[V @Chan]:STAT ON
 10.025  TARGET       -m
 10.026  CALL         Sub Read /DMM
 10.027  CALL         Sub Get Accuracy /DMM
 10.028  MATH         L[2] = @DMM_Acc
 10.029  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 10.030  ACC          V              L2U
 10.031  MATH         MEM1 = FMT((5 * CF), "%.3f")
 10.032  MEMCX        V              0.110U

 11.001  HEAD         -2 0 V Offset
 11.002  TARGET       -p
 11.003  VISA         SOUR[V @Chan]:VOLT:OFFS 0V
 11.004  VISA         OUTP[V @Chan]:STAT ON
 11.005  TARGET       -m
 11.006  CALL         Sub Read /DMM
 11.007  CALL         Sub Get Accuracy /DMM
 11.008  MATH         L[2] = @DMM_Acc
 11.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 11.010  ACC          V              L2U
 11.011  MATH         MEM1 = FMT((0 * CF), "%.3f")
 11.012  MEMCX        V              0.010U

 12.001  HEAD         -2 -5 V Offset
 12.002  TARGET       -p
 12.003  VISA         SOUR[V @Chan]:VOLT:OFFS -5V
 12.004  VISA         OUTP[V @Chan]:STAT ON
 12.005  TARGET       -m
 12.006  CALL         Sub Read /DMM
 12.007  CALL         Sub Get Accuracy /DMM
 12.008  MATH         L[2] = @DMM_Acc
 12.009  MATH         MEM = FMT(@DMM_Meas, "%.3f")
 12.010  ACC          V              L2U
 12.011  MATH         MEM1 = FMT((-5 * CF), "%.3f")
 12.012  MEMCX        V              0.110U

 13.001  CALL         Sub Reset /DMM
 13.002  VISA         OUTP[V @Chan]:STAT OFF

 13.003  HEAD         -2
 13.004  HEAD
 13.005  END
