﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3011 (1 yr) Edge time VER VISA /TDS5104B
DATE:                  2010-06-04 12:57:39
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       135
CONFIGURATION:         Tektronix TDS5104B
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3011
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TDS5000B Reset IEEE
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Measure IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        10X (50 Ohm) attenuator
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@TDS5kB]
  1.003  ENDIF

  1.004  IF           @Chan == 1
  1.005  RSLT         =
  1.006  HEAD         {RISE-FALL TIME TEST}, CH [V @Chan]
  1.007  ENDIF

  1.008  RSLT         =
  1.009  RSLT         =Channel [V @Chan]

  1.010  RSLT         =
  1.011  HEAD         -2{ 2 MHz 1 Vpp Squre Wave, Rise Time}
  1.012  TARGET
  1.013  DISP         Connect the UUT Output CH [V @Chan] to
  1.013  DISP         [V @TDS5000B_ModelNum] CH1 via 50 Ohm cable.
  1.014  CALL         Sub Tek TDS5000B Reset IEEE

# Set TDS5000B.
  1.015  MATH         @TDS5000B_ChanSelect = 1
  1.016  MATH         @TDS5000B_Ch1Term = "50 Ohm"
  1.017  MATH         @TDS5000B_Ch1VertScale = "200 mV"
  1.018  MATH         @TDS5000B_HorzScale = "20 ns"
  1.019  CALL         Sub Tek TDS5000B Setup IEEE

# UUT output configuration.
  1.020  VISA         SOUR[V @Chan]:FUNC:SHAP SQU
  1.021  VISA         SOUR[V @Chan]:FREQ 2MHz
  1.022  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  1.023  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  1.024  VISA         OUTP[V @Chan]:STAT ON

# Rise time measurement.
  1.025  MATH         @TSD5000B_Func = "RiseTime"
  1.026  CALL         Sub Tek TDS5000B Measure IEEE
  1.027  MATH         RiseTimeStr = FMT(@TDS5000B_RiseTime, "%.1f") & " ns"
  1.028  MATH         RstStr = "Bound: 50 ns, Result is " & RiseTimeStr
  1.029  EVAL   -e @TDS5000B_RiseTime <= 50 : [V RstStr]

  2.001  RSLT         =
  2.002  HEAD         -2{ 2 MHz 1 Vpp Square Wave, Fall Time}
  2.003  TARGET
  2.004  MATH         @TSD5000B_Func = "FallTime"
  2.005  CALL         Sub Tek TDS5000B Measure IEEE
  2.006  MATH         FallTimeStr = FMT(@TDS5000B_FallTime, "%.1f") & " ns"
  2.007  MATH         RstStr = "Bound: 50 ns, Result is " & FallTimeStr
  2.008  EVAL   -e @TDS5000B_FallTime <= 50 : [V RstStr]

  3.001  VISA         OUTP[V @Chan]:STAT OFF

  3.002  RSLT         =
  3.003  HEAD         -2{ 2 MHz 10 Vpp Square Wave, Rise Time}
  3.004  TARGET
  3.005  DISP         Connect the [V @TDS5000B_ModelNum] CH1 to UUT
  3.005  DISP         CH [V @Chan] via 50 Ohm cable and 10X (50 Ohm)
  3.005  DISP         attenuator.
  3.006  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 10VPP
  3.007  VISA         OUTP[V @Chan]:STAT ON
  3.008  MATH         @TSD5000B_Func = "RiseTime"
  3.009  CALL         Sub Tek TDS5000B Measure IEEE
  3.010  MATH         RiseTimeStr = FMT(@TDS5000B_RiseTime, "%.1f") & " ns"
  3.011  MATH         RstStr = "Bound: 50 ns, Result is " & RiseTimeStr
  3.012  EVAL   -e @TDS5000B_RiseTime <= 50 : [V RstStr]

  4.001  RSLT         =
  4.002  HEAD         -2{ 2 MHz 10 Vpp Square Wave, Fall Time}
  4.003  TARGET
  4.004  MATH         @TSD5000B_Func = "FallTime"
  4.005  CALL         Sub Tek TDS5000B Measure IEEE
  4.006  MATH         FallTimeStr = FMT(@TDS5000B_FallTime, "%.1f") & " ns"
  4.007  MATH         RstStr = "Bound: 50 ns, Result is " & FallTimeStr
  4.008  EVAL   -e @TDS5000B_FallTime <= 50 : [V RstStr]

  5.001  VISA         OUTP[V @Chan]:STAT OFF
  5.002  CALL         Sub Tek TDS5000B Reset IEEE

  5.003  DISP         Remove the connection between UUT and
  5.003  DISP         [V @TDS5000B_ModelNum].

  5.004  HEAD         -2
  5.005  HEAD
  5.006  END

