﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3011 (1 yr) Flatness VER VISA /NRVS,NRV-Z5
DATE:                  2010-06-04 12:45:34
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       163
CONFIGURATION:         Rohde&Schwarz NRVS
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3011
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1 based on Rohde & Schwarz NRVS and NRV-Z5 diode sensor
#  specifications.
#        AC Flatness:
#          500 kHZ Relative to 100 kHz  TUR 2.5000
#          1 MHZ Relative to 100 kHz    TUR 2.5000
#
#  Subprocedures:
#        Sub Rohde & Schwarz NRVS Setup IEEE
#        Sub Rohde & Schwarz NRVS Reset IEEE
#        Sub Rohde & Schwarz NRVS Frequency Correction IEEE
#        Sub Rohde & Schwarz NRVS Measure IEEE
#        Sub Rohde & Schwarz NRVS Error Status IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@NRVS]
  1.003  ENDIF

# UUT Default Setup.
  1.004  VISA         *RST;*OPC?[I!]

  1.005  IF           @Chan == 1
  1.006  RSLT         =
  1.007  HEAD         {AC FLATNESS}, CH [V @Chan]
  1.008  ENDIF

  1.009  RSLT         =
  1.010  RSLT         =Channel [V @Chan]
  1.011  RSLT         =

  1.012  HEAD         -2 500 kHZ Relative to 100 kHz
  1.013  TARGET       -p
  1.014  TSET         TDESC = Frequency 500 kHz
  1.015  MATH         @NRVS_RangeSet = "AUTO"
  1.016  MATH         @NRVS_FilterSet = "AUTO"
  1.017  MATH         @NRVS_HeaderSet = 1
  1.018  MATH         @NRVS_MODE = "Average"
  1.019  MATH         @NRVS_UnitSet = "dBm"
  1.020  MATH         @NRVS_ResolutionSet = "MIDDLE"
  1.021  CALL         Sub Rohde & Schwarz NRVS Setup IEEE

# Get the reference value at 100 kHz, 4 dBm.
  1.022  DISP         Connect the UUT Output CH [V @Chan] to power meter
  1.022  DISP         (NRVS) with NRV-Z5 power head.
  1.023  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  1.024  VISA         SOUR[V @Chan]:FREQ 100KHz
  1.025  VISA         SOUR[V @Chan]:VOLT:UNIT DBM
  1.026  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 4DBM
  1.027  VISA         OUTP[V @Chan]:STAT ON
  1.028  MATH         @NRVS_FreqVal = 1E+5
  1.029  CALL         Sub Rohde & Schwarz NRVS Frequency Correction IEEE
  1.030  MATH         @NRVS_Func = "PowerAvg_dBm"
  1.031  CALL         Sub Rohde & Schwarz NRVS Measure IEEE
  1.032  MATH         RefVal = FMT(@NRVS_TestVal, "%.2f")
  1.033  RSLT         = Reference Level = [V RefVal] dB
  1.034  RSLT         =

# 500 kHz test begin here.
  1.035  VISA         SOUR[V @Chan]:FREQ 500KHz
  1.036  VISA         OUTP[V @Chan]:STAT ON
  1.037  TARGET       -m
  1.038  CALL         Sub Rohde & Schwarz NRVS Measure IEEE
  1.039  MATH         MEM = FMT(@NRVS_TestVal, "%.2f")

# System uncertainty is combination of calibration uncertainty, linear
# uncertainty, mismatch, display resolution, harmonic effect, basic unit
  1.040  ACC          dB             0.06U                                 +DW
  1.041  MATH         MEM1 = RefVal
  1.042  MEMCX        dB             0.15U

  2.001  HEAD         -2 1 MHZ Relative to 100 kHz
  2.002  TARGET       -p
  2.003  TSET         TDESC = Frequency 1 MHz
  2.004  VISA         SOUR[V @Chan]:FREQ 1MHz
  2.005  VISA         OUTP[V @Chan]:STAT ON
  2.006  TARGET       -m
  2.007  CALL         Sub Rohde & Schwarz NRVS Measure IEEE
  2.008  MATH         MEM = FMT(@NRVS_TestVal, "%.2f")
  2.009  ACC          dB             0.06U                                 +DW
  2.010  MATH         MEM1 = RefVal
  2.011  MEMCX        dB             0.15U

  3.001  HEAD         -2 5 MHZ Relative to 100 kHz
  3.002  TARGET       -p
  3.003  TSET         TDESC = Frequency 5 MHz
  3.004  VISA         SOUR[V @Chan]:FREQ 5MHz
  3.005  VISA         OUTP[V @Chan]:STAT ON
  3.006  TARGET       -m
  3.007  CALL         Sub Rohde & Schwarz NRVS Measure IEEE
  3.008  MATH         MEM = FMT(@NRVS_TestVal, "%.2f")
  3.009  ACC          dB             0.06U                                 +DW
  3.010  MATH         MEM1 = RefVal
  3.011  MEMCX        dB             0.30U

  4.001  HEAD         -2 10 MHZ Relative to 100 kHz
  4.002  TARGET       -p
  4.003  TSET         TDESC = Frequency 10 MHz
  4.004  VISA         SOUR[V @Chan]:FREQ 10MHz
  4.005  VISA         OUTP[V @Chan]:STAT ON
  4.006  TARGET       -m
  4.007  CALL         Sub Rohde & Schwarz NRVS Measure IEEE
  4.008  MATH         MEM = FMT(@NRVS_TestVal, "%.2f")
  4.009  ACC          dB             0.06U                                 +DW
  4.010  MATH         MEM1 = RefVal
  4.011  MEMCX        dB             0.30U

  5.001  VISA         OUTP[V @Chan]:STAT OFF
  5.002  CALL         Sub Rohde & Schwarz NRVS Reset IEEE
  5.003  DISP         Remove the connection between UUT CH [V @Chan] and
  5.003  DISP         power meter.

  5.004  HEAD         -2
  5.005  HEAD
  5.006  END



