﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3011 (1 yr) Harmonic VER VISA /RSA3000
DATE:                  2010-06-04 12:55:44
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       301
CONFIGURATION:         Tektronix RSA3308A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3011
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek RSA3000 Reset IEEE
#        Sub Tek RSA3000 Setup IEEE
#        Sub Tek RSA3000 Measure IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@RSA3000]
  1.003  ENDIF

# Reset the UUT.
  1.004  VISA         *RST;*OPC?[I!]

  1.005  IF           @Chan == 1
  1.006  RSLT         =
  1.007  HEAD         {HARMONIC DISTORTION}, CH [V @Chan]
  1.008  ENDIF

  1.009  RSLT         =
  1.010  RSLT         =Channel [V @Chan]
  1.011  RSLT         =

  1.012  HEAD         -2{ 20 kHz Fundamental}, 2nd Harmonic
  1.013  TARGET       -p
  1.014  TSET         TDESC = 2nd Harmonic Distortion
  1.015  DISP         Connect the UUT Output CH [V @Chan] to
  1.015  DISP         [V @RSA3000_ModelNum] Input 50 Ohm terminator.
  1.016  CALL         Sub Tek RSA3000 Reset IEEE
  1.017  MATH         @RSA3000_InitCmd = "SANORMAL"
  1.018  MATH         @RSA3000_Acq = 0
  1.019  MATH         @RSA3000_TraceNum = 1
  1.020  MATH         @RSA3000_TraceMode = "AVERAGE"
  1.021  MATH         @RSA3000_RefLevel = 8
  1.022  CALL         Sub Tek RSA3000 Setup IEEE

# UUT setup and output the signal.
  1.023  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  1.024  VISA         SOUR[V @Chan]:FREQ 20kHz
  1.025  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  1.026  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  1.027  VISA         OUTP[V @Chan]:STAT ON

# RSA3000 test signal 20 KHz fundamental.
  1.028  MATH         @RSA3000_Func = "PeakSearch"
  1.029  MATH         @RSA3000_CentFreq = 20E+3
  1.030  MATH         @RSA3000_Span = 10E+3
  1.031  MATH         @RSA3000_BandRes = 100
  1.032  MATH         @RSA3000_AvgCount = 10
  1.033  CALL         Sub Tek RSA3000 Measure IEEE

# Test 2nd harmonic.
  1.034  TARGET       -m
  1.035  MATH         @RSA3000_Func = "Harmonic"
  1.036  MATH         @RSA3000_HarmFreqSet = 40E+3
  1.037  CALL         Sub Tek RSA3000 Measure IEEE
  1.038  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp

# The uncertainty is frequency response uncertainty and
# display scale fidelity.
  1.039  MATH         MEM = FMT(MEM, "%.2f")
  1.040  ACC          dBc            +0.60U -0.69U                         +DW
  1.041  MEMCX        -55dBc         +0U -100U

  2.001  HEAD         -2 20 kHz Fundamental, 3rd Harmonic
  2.002  TARGET       -m
  2.003  TSET         TDESC = 3rd Harmonic Distortion
  2.004  MATH         @RSA3000_HarmFreqSet = 60E+3
  2.005  CALL         Sub Tek RSA3000 Measure IEEE
  2.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  2.007  MATH         MEM = FMT(MEM, "%.2f")
  2.008  ACC          dBc            +0.60U -0.69U                         +DW
  2.009  MEMCX        -55dBc         +0U -100U

  3.001  HEAD         -2 20 kHz Fundamental, 4th Harmonic
  3.002  TARGET       -m
  3.003  TSET         TDESC = 4th Harmonic Distortion
  3.004  MATH         @RSA3000_HarmFreqSet = 80E+3
  3.005  CALL         Sub Tek RSA3000 Measure IEEE
  3.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  3.007  MATH         MEM = FMT(MEM, "%.2f")
  3.008  ACC          dBc            +0.60U -0.69U                         +DW
  3.009  MEMCX        -55dBc         +0U -100U

  4.001  HEAD         -2 20 kHz Fundamental, 5th Harmonic
  4.002  TARGET       -m
  4.003  TSET         TDESC = 5th Harmonic Distortion
  4.004  MATH         @RSA3000_HarmFreqSet = 100E+3
  4.005  CALL         Sub Tek RSA3000 Measure IEEE
  4.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  4.007  MATH         MEM = FMT(MEM, "%.2f")
  4.008  ACC          dBc            +0.60U -0.69U                         +DW
  4.009  MEMCX        -55dBc         +0U -100U

  5.001  RSLT         =
  5.002  HEAD         -2{ 100 kHz Fundamental}, 2nd Harmonic
  5.003  TARGET       -p
  5.004  TSET         TDESC = 2nd Harmonic Distortion
  5.005  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  5.006  VISA         SOUR[V @Chan]:FREQ 100kHz
  5.007  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  5.008  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  5.009  VISA         OUTP[V @Chan]:STAT ON
  5.010  MATH         @RSA3000_Func = "PeakSearch"
  5.011  MATH         @RSA3000_CentFreq = 100E+3
  5.012  CALL         Sub Tek RSA3000 Measure IEEE
  5.013  TARGET       -m
  5.014  MATH         @RSA3000_Func = "Harmonic"
  5.015  MATH         @RSA3000_HarmFreqSet = 200E+3
  5.016  CALL         Sub Tek RSA3000 Measure IEEE
  5.017  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  5.018  MATH         MEM = FMT(MEM, "%.2f")
  5.019  ACC          dBc            +0.60U -0.69U                         +DW
  5.020  MEMCX        -55dBc         +0U -100U

  6.001  HEAD         -2 100 kHz Fundamental, 3rd Harmonic
  6.002  TARGET       -m
  6.003  TSET         TDESC = 3rd Harmonic Distortion
  6.004  MATH         @RSA3000_HarmFreqSet = 300E+3
  6.005  CALL         Sub Tek RSA3000 Measure IEEE
  6.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  6.007  MATH         MEM = FMT(MEM, "%.2f")
  6.008  ACC          dBc            +0.60U -0.69U                         +DW
  6.009  MEMCX        -55dBc         +0U -100U

  7.001  HEAD         -2 100 kHz Fundamental, 4th Harmonic
  7.002  TARGET       -m
  7.003  TSET         TDESC = 4th Harmonic Distortion
  7.004  MATH         @RSA3000_HarmFreqSet = 400E+3
  7.005  CALL         Sub Tek RSA3000 Measure IEEE
  7.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  7.007  MATH         MEM = FMT(MEM, "%.2f")
  7.008  ACC          dBc            +0.60U -0.69U                         +DW
  7.009  MEMCX        -55dBc         +0U -100U

  8.001  HEAD         -2 100 kHz Fundamental, 5th Harmonic
  8.002  TARGET       -m
  8.003  TSET         TDESC = 5th Harmonic Distortion
  8.004  MATH         @RSA3000_HarmFreqSet = 500E+3
  8.005  CALL         Sub Tek RSA3000 Measure IEEE
  8.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  8.007  MATH         MEM = FMT(MEM, "%.2f")
  8.008  ACC          dBc            +0.60U -0.69U                         +DW
  8.009  MEMCX        -55dBc         +0U -100U

  9.001  RSLT         =
  9.002  HEAD         -2{ 1 MHz Fundamental}, 2nd Harmonic
  9.003  TARGET       -p
  9.004  TSET         TDESC = 2nd Harmonic Distortion
  9.005  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
  9.006  VISA         SOUR[V @Chan]:FREQ 1MHz
  9.007  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
  9.008  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
  9.009  VISA         OUTP[V @Chan]:STAT ON
  9.010  MATH         @RSA3000_Func = "PeakSearch"
  9.011  MATH         @RSA3000_CentFreq = 1E+6
  9.012  CALL         Sub Tek RSA3000 Measure IEEE
  9.013  TARGET       -m
  9.014  MATH         @RSA3000_Func = "Harmonic"
  9.015  MATH         @RSA3000_HarmFreqSet = 2E+6
  9.016  CALL         Sub Tek RSA3000 Measure IEEE
  9.017  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
  9.018  MATH         MEM = FMT(MEM, "%.2f")
  9.019  ACC          dBc            +0.60U -0.69U                         +DW
  9.020  MEMCX        -45dBc         +0U -110U

 10.001  HEAD         -2 1 MHz Fundamental, 3rd Harmonic
 10.002  TARGET       -m
 10.003  TSET         TDESC = 3rd Harmonic Distortion
 10.004  MATH         @RSA3000_HarmFreqSet = 3E+6
 10.005  CALL         Sub Tek RSA3000 Measure IEEE
 10.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 10.007  MATH         MEM = FMT(MEM, "%.2f")
 10.008  ACC          dBc            +0.60U -0.69U                         +DW
 10.009  MEMCX        -45dBc         +0U -110U

 11.001  HEAD         -2 1 MHz Fundamental, 4th Harmonic
 11.002  TARGET       -m
 11.003  TSET         TDESC = 4th Harmonic Distortion
 11.004  MATH         @RSA3000_HarmFreqSet = 4E+6
 11.005  CALL         Sub Tek RSA3000 Measure IEEE
 11.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 11.007  MATH         MEM = FMT(MEM, "%.2f")
 11.008  ACC          dBc            +0.60U -0.69U                         +DW
 11.009  MEMCX        -45dBc         +0U -110U

 12.001  HEAD         -2 1 MHz Fundamental, 5th Harmonic
 12.002  TARGET       -m
 12.003  TSET         TDESC = 5th Harmonic Distortion
 12.004  MATH         @RSA3000_HarmFreqSet = 5E+6
 12.005  CALL         Sub Tek RSA3000 Measure IEEE
 12.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 12.007  MATH         MEM = FMT(MEM, "%.2f")
 12.008  ACC          dBc            +0.60U -0.69U                         +DW
 12.009  MEMCX        -45dBc         +0U -110U

 13.001  RSLT         =
 13.002  HEAD         -2{ 10 MHz Fundamental}, 2nd Harmonic
 13.003  TARGET       -p
 13.004  TSET         TDESC = 2nd Harmonic Distortion
 13.005  VISA         SOUR[V @Chan]:FUNC:SHAP SIN
 13.006  VISA         SOUR[V @Chan]:FREQ 10MHz
 13.007  VISA         SOUR[V @Chan]:VOLT:UNIT VPP
 13.008  VISA         SOUR[V @Chan]:VOLT:LEV:IMM:AMPL 1VPP
 13.009  VISA         OUTP[V @Chan]:STAT ON
 13.010  MATH         @RSA3000_Func = "PeakSearch"
 13.011  MATH         @RSA3000_CentFreq = 10E+6
 13.012  CALL         Sub Tek RSA3000 Measure IEEE
 13.013  TARGET       -m
 13.014  MATH         @RSA3000_Func = "Harmonic"
 13.015  MATH         @RSA3000_HarmFreqSet = 20E+6
 13.016  CALL         Sub Tek RSA3000 Measure IEEE
 13.017  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 13.018  MATH         MEM = FMT(MEM, "%.2f")
 13.019  ACC          dBc            +0.60U -0.69U                         +DW
 13.020  MEMCX        -45dBc         +0U -110U

 14.001  HEAD         -2 10 MHz Fundamental, 3rd Harmonic
 14.002  TARGET       -m
 14.003  TSET         TDESC = 3rd Harmonic Distortion
 14.004  MATH         @RSA3000_HarmFreqSet = 30E+6
 14.005  CALL         Sub Tek RSA3000 Measure IEEE
 14.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 14.007  MATH         MEM = FMT(MEM, "%.2f")
 14.008  ACC          dBc            +0.60U -0.69U                         +DW
 14.009  MEMCX        -45dBc         +0U -110U

 15.001  HEAD         -2 10 MHz Fundamental, 4th Harmonic
 15.002  TARGET       -m
 15.003  TSET         TDESC = 4th Harmonic Distortion
 15.004  MATH         @RSA3000_HarmFreqSet = 40E+6
 15.005  CALL         Sub Tek RSA3000 Measure IEEE
 15.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 15.007  MATH         MEM = FMT(MEM, "%.2f")
 15.008  ACC          dBc            +0.60U -0.69U                         +DW
 15.009  MEMCX        -45dBc         +0U -110U

 16.001  HEAD         -2 10 MHz Fundamental, 5th Harmonic
 16.002  TARGET       -m
 16.003  TSET         TDESC = 5th Harmonic Distortion
 16.004  MATH         @RSA3000_HarmFreqSet = 50E+6
 16.005  CALL         Sub Tek RSA3000 Measure IEEE
 16.006  MATH         MEM = @RSA3000_HarmAmp - @RSA3000_PkAmp
 16.007  MATH         MEM = FMT(MEM, "%.2f")
 16.008  ACC          dBc            +0.60U -0.69U                         +DW
 16.009  MEMCX        -45dBc         +0U -110U

 17.001  CALL         Sub Tek RSA3000 Reset IEEE
# Turn off the UUT.
 17.002  VISA         OUTP[V @Chan]:STAT OFF
 17.003  HEAD         -2
 17.004  HEAD
 17.005  END




